<?php
function validate($str,$regex){
if(preg_match($regex,$str)) return true;
return false;
}

function validEmail($str){
	if(validate($str,"/^([\w\-\.]+)@((\[([0-9]{1,3}\.){3}[0-9]{1,3}\])|(([\w\-]+\.)+)([a-zA-Z]{2,4}))$/")){
		return true;
	}
	return false;
}
function validAddress($str){
	if(validate($str,"/^[a-zA-Z0-9\s,'-]*$/")){
		return true;
	}
	return false;
}
function validZip($str){
	if(validate($str,"/^\d{3,5}(?:[-\s]\d{4})?$/")){
		return true;
	}
	return false;
}
function validPhoneNumber($str){
	if(validate($str,"/^\s*(?:\+?(\d{1,3}))?[-. (]*(\d{3})[-. )]*(\d{3})[-. ]*(\d{4})(?: *x(\d+))?\s*$/")){
		return true;
	}
	return false;
}
function validFax($str){
	if(validate($str,"/^\+?[0-9]+$/")){
		return true;
	}
	return false;
}
function validString($str){
	if(!empty($str)){
		return true;
	}
	return false;
}

function valid_card_number($card_number, $cardtype){

	if($cardtype == "Visa"){
		return validate($card_number,"/^4\d{15}$/");
	}
	else if($cardtype == "MasterCard"){
		return validate($card_number,"/^5[1-5]\d{14}$/");
	}
	else if($cardtype == "Discover"){
		return validate($card_number,"/^6(?:011\d\d|5\d{4}|4[4-9]\d{3}|22(?:1(?:2[6-9]|[3-9]\d)|[2-8]\d\d|9(?:[01]\d|2[0-5])))\d{10}$/");
	}
	else if($cardtype == "American Express"){
		return validate($card_number,"/^3[47]\d{13}$/");
	}
	else{
		return false;
	}
}

function field_empty($array){

	foreach ($array as $k => $v) {
		if(trim($v) == ""){
			return $k . " cannot be left blank.  Please fill in your " . $k . " and click Submit.";
		}
	}
	return "";
}

function sendMail($id){
	
}
function generateCsv($data, $delimiter = ',', $enclosure = '"') {
       $handle = fopen('php://temp', 'r+');
       foreach ($data as $line) {
               fputcsv($handle, $line, $delimiter, $enclosure);
       }
       rewind($handle);
       while (!feof($handle)) {
               $contents .= fread($handle, 8192);
       }
       fclose($handle);
       return $contents;
}
?>
